=== modified file 'LDAP.cabal'
--- LDAP.cabal	2009-04-06 10:41:58 +0000
+++ LDAP.cabal	2010-02-18 11:25:39 +0000
@@ -1,13 +1,15 @@
 Name: LDAP
-Version: 0.6.5
+Version: 0.6.6
 License: BSD3
 Maintainer: John Goerzen <jgoerzen@complete.org>
 Author: John Goerzen
 Stability: Beta
-Copyright: Copyright (c) 2005-2009 John Goerzen
+Copyright: Copyright (c) 2005-2010 John Goerzen
 homepage: http://software.complete.org/ldap-haskell
 Category: Network
 Synopsis: Haskell binding for C LDAP API
+Description: This package provides LDAP interface code for Haskell programs,
+ binding to the C LDAP API.
 license-file: COPYRIGHT
 extra-source-files: COPYING
 
@@ -33,10 +35,7 @@
    LDAP.Result
   Build-Depends: base
 
-  -- Hack for cabal-install weirdness.  cabal-install forces base 3,
-  -- though it works fine for Setup.lhs manually.  Fix.
-  if impl(ghc >= 6.9)
-    build-depends: base >= 4
+  build-depends: base >= 4 && <5
 
   Extra-Libraries: ldap
 
@@ -44,7 +43,7 @@
   -- CC-Options: -Iglue
   CC-Options: -DLDAP_DEPRECATED=1
   Extensions: ForeignFunctionInterface, TypeSynonymInstances,
-              EmptyDataDecls, PatternSignatures, CPP
+              EmptyDataDecls, ScopedTypeVariables, CPP
 
 Executable runtests
   if flag(buildtests)
@@ -55,9 +54,8 @@
   Main-Is: runtests.hs
   CC-Options: -DLDAP_DEPRECATED=1
   Extensions: ForeignFunctionInterface, TypeSynonymInstances,
-              EmptyDataDecls, PatternSignatures, CPP
+              EmptyDataDecls, ScopedTypeVariables, CPP
   Hs-Source-Dirs: testsrc, .
   GHC-Options: -O2
 
-  if impl(ghc >= 6.9)
-    build-depends: base >= 4
+  build-depends: base >= 4 && < 5

